use clap::Parser;

#[derive(Parser, Debug)]
#[clap(author, version, about, long_about = None)]
pub struct Options {
    pub image: String,
    pub mapping: String,
    pub output: Option<String>,

    #[clap(long, default_value_t = 10)]
    pub grid: u32,

    #[clap(long, default_value_t = 1.0)]
    pub line_weight: f64,

    #[clap(long, default_value_t = 3.0)]
    pub major_line_weight: f64,

    #[clap(long, default_value_t = 24.0)]
    pub size: f64,

    #[clap(long, default_value_t = String::from("Fira Sans 12"))]
    pub font: String,
}
